#ifndef __classConfiguration

#define __classConfiguration

#include <stddef.h>

#include <opengl.h>

#include <unsignedIntegerArray.h>

#include <vector2.h>

#include <vector3.h>

#include <text.h>

#include <array.h>

#include <char.h>

#include <floatArray.h>

#include <shader.h>

#include <fileSystem.h>

#include <console.h>

#include <http.h>

#include <headers.h>

#include <header.h>

#include <request.h>

#include <mimeTypes.h>

#include <mesh.h>

#include <street.h>

#include <toolset.h>

#include <extends.h>

#include <int.h>

#include <sqlite.h>

#include <triangle.h>

#include <user.h>

#define TOTAL_CLASS_COUNT 30

extern char * __ClassNames[TOTAL_CLASS_COUNT];
extern int __ClassPropertyCount[TOTAL_CLASS_COUNT];
extern char * __ClassPropertyNames[TOTAL_CLASS_COUNT][30];
extern int __ClassPropertyOffsets[TOTAL_CLASS_COUNT][30];
extern int __ClassPropertyOffsets[TOTAL_CLASS_COUNT][30];

#include <string.h>

int getPropertyIndexOfClassIndex( int propertyCount, char ** propertyNames );

void getArrayByClassIndex( int size, void * * voidArray, int * structByteSize, int classIndex );

int getClassIndexByClassName( char * className );

char * getClassName( int classIndex );

int getPropertyCountByClassIndex( int classIndex );

char * * getPropertiesByClassIndex( int classIndex );

int * getPropertyOffsetsByClassIndex( int classIndex );

int getPropertyOffsetByPropertyIndex( int * propertyOffsets, int propertyIndex );

int getPropertyIndexByPropertyName( int classID, char * propertyName );

int * getPropertyDatatypeIndexesByClassIndex( int classIndex );

int getPropertyDatatypeIndex( int * propertyDatatypeIndices, int propertyIndex );
#endif
